Pop up console and irelevant plugin problems.

Discussion in 'Javascript/Plugin Support' started by Skurge, Mar 26, 2017.

  1. Trihan

    Trihan Speedy Scripter Veteran

    Messages:
    1,483
    Likes Received:
    976
    Location:
    Buckie, Scotland
    First Language:
    English
    None of the core js files, including pixi, will update for a project unless you replace the files in the game folder, because they create their own copies on creation.
     
    #21
  2. Skurge

    Skurge " (GASP) What's going on!? " Veteran

    Messages:
    1,021
    Likes Received:
    196
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    N/A
    Oh..little more compexed that I thought. I'm going to sound awfully stupid but how would I be able to obtain the newer files and install them into my project?
     
    #22
  3. Trihan

    Trihan Speedy Scripter Veteran

    Messages:
    1,483
    Likes Received:
    976
    Location:
    Buckie, Scotland
    First Language:
    English
    There's a folder called NewData in your MV Steam folder (assuming you have it on Steam) that has all the files you can paste into your project folder. Just make sure you don't replace plugins.js or it'll reset all your plugin settings.
     
    #23
  4. Skurge

    Skurge " (GASP) What's going on!? " Veteran

    Messages:
    1,021
    Likes Received:
    196
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    N/A
    Ok, i've replaced the files with the ones from the steam directory.
    But the error still persists...I just can't figure out what there is to do.
     
    #24
  5. Andar

    Andar Veteran Veteran

    Messages:
    28,153
    Likes Received:
    6,375
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    in every official update topic on this forum (the latest is for 1.4.0) there is an instruction on how to update projects manually.
    These instructions tell you which files to copy and which not to copy - please compare if that is exactly what you did.

    Additionally, make a new project and check if the console of that new project plays the same pixi errors - if yes your newdata folder is not correct.
    If the new project has no errors, then use those files for the update (it might be that you got your files from the wrong folder, especially if you have both steam and standalone installed)
     
    #25
  6. mogwai

    mogwai 1984 Veteran

    Messages:
    876
    Likes Received:
    577
    Location:
    Bassett Nebraska
    First Language:
    English
    Primarily Uses:
    RMMV
    SpecialPassable could conflict with another plugin that overwrites
    Game_CharacterBase.prototype.canPass
    if used after the SpecialPassable; that's the only function it uses.

    I hope I didn't leave in a testing alert or console.log...
     
    #26
  7. Skurge

    Skurge " (GASP) What's going on!? " Veteran

    Messages:
    1,021
    Likes Received:
    196
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    N/A
    Alright i've done the known process of openning a new project- moving the required files to replace the old- the problem is my steam version of MV seems to refuse updating the files, how I can tell this is because when I copy over the new project files- they keep insisting they are from 2015... I don't know what's going on at this point, if I get the updated files should be no problem but the new project seems to want to create files from 2015?
     
    #27
  8. Trihan

    Trihan Speedy Scripter Veteran

    Messages:
    1,483
    Likes Received:
    976
    Location:
    Buckie, Scotland
    First Language:
    English
    What is the update setting for MV on your Steam Client?
     
    #28
  9. Skurge

    Skurge " (GASP) What's going on!? " Veteran

    Messages:
    1,021
    Likes Received:
    196
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    N/A
    My updates settings for this are "Only update this application when I launch it" as recommended by the update guide for MV on the forums.

    Just a thought also- I don't know if files from other steam users would be an issue, but could uploading new pixi files for example for me to download work?
     
    #29
  10. Trihan

    Trihan Speedy Scripter Veteran

    Messages:
    1,483
    Likes Received:
    976
    Location:
    Buckie, Scotland
    First Language:
    English
    If there's a pixi.js update and you download it and put it in your project folder, that'd be pretty much the same thing as updating it through MV.

    Hmm, if it's set to update on launch and it won't update, I'm not sure what the problem is. Try uninstalling/reinstalling it?
     
    #30
  11. Skurge

    Skurge " (GASP) What's going on!? " Veteran

    Messages:
    1,021
    Likes Received:
    196
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    N/A
    I'll have to see if that works for myself, might take a while but i'll keep you informed :)
     
    #31
  12. Skurge

    Skurge " (GASP) What's going on!? " Veteran

    Messages:
    1,021
    Likes Received:
    196
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    N/A
    OK, this is beyond the joke. I've uninstalled and re downloaded the program- it still keeps providing me 2015-2016 libs files.
    I'm stumped. :(
     
    #32
  13. mogwai

    mogwai 1984 Veteran

    Messages:
    876
    Likes Received:
    577
    Location:
    Bassett Nebraska
    First Language:
    English
    Primarily Uses:
    RMMV
    I think you need to copy the rpg js and the libs folder from a new project.
     
    #33
  14. Andar

    Andar Veteran Veteran

    Messages:
    28,153
    Likes Received:
    6,375
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    @Skurge:
    Please give an exact, step-by-step description of what you did.
    Somewhere along the line you made a mistake, and for us to help you find that we need to understand what you did.

    Most likely you copied the files from a wrong folder - check if your editor version is the newest one, then make a new project and check which files are inside that new project. Those should be the correct ones, copy them to a backup of your project to update that (and list which files you copy)

    EDIT:
    And please state the folder path to your project - if you placed your project inside a protected folder then it will cause the computer to refuse updating.
     
    #34
  15. Skurge

    Skurge " (GASP) What's going on!? " Veteran

    Messages:
    1,021
    Likes Received:
    196
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    N/A
    OK, i've just done another round of trying to be absolutely sure of updates so here is my progress as requested to help solve the issue :)

    • I had copied the project file and moved it to an external hardrive incase something where to happen bad to the content.
    • I've checked my RPG Maker MV's version via the help/about tab. The version reads 1.4.0 which last i checked was the latest version, to be certain I have the latest version along with the files- I had uninstalled and reinstalled RPG Maker MV via Steam.
    • The location of my project is documents C:\Users\Elliot\Documents\Games
    • I created a new project "project1" on the desktop, checked it's version and it reads 1.4.0
    • Reading and followed instructions to the letter from this topic on the forum https://forums.rpgmakerweb.com/index.php?threads/rpg-maker-mv-updates.47569/
    • Necessary files in the project located in documents C:\Users\Elliot\Documents\Games have been replaced by the required files from "project1" located on the desktop.
    • Play tested the project with the new files and entered map that triggers the 'toLowerCase'of undefined
    • game crashes and reports the 'toLowerCase'of undefined error
    • Opened parameters and turned off Kha's advanced graphics js
    • Play tested the project once again and entered the map that triggers the 'toLowerCase'of undefined crash
    • No crash
    • checked pixi file in libs directory of the project located in documents C:\Users\Elliot\Documents\Games - file properties under general tab read
    • Created: Today, ‎29 ‎March ‎2017, ‏‎25 minutes ago
    • Modified: ‎Thursday, ‎20 ‎October ‎2016, ‏‎7:57:19 PM
    • Accessed: ‎Today, ‎29 ‎March ‎2017, ‏‎25 minutes ago
    • Checked the project file in documents C:\Users\Elliot\Documents\Games via properties , read only ticket- far as I know that's meant to be ticked and is normal?
     
    #35
  16. Andar

    Andar Veteran Veteran

    Messages:
    28,153
    Likes Received:
    6,375
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    are the pixi.js errors now gone from the console? if not the problem is here:
    because if those errors are not gone, then you didn't copy all neccessray file but missed one.

    That said, it might be that Khas' plugin needs an update to the new core, but that is not something I can answer. Try to use that plugin in the new project without using any other plugin.
     
    #36
  17. padr81

    padr81 Guy whose game is taking too long. Veteran

    Messages:
    627
    Likes Received:
    621
    First Language:
    english
    Primarily Uses:
    N/A
    Just checked and while I have no errors my Pixi says its not bein modified since 20th of October 2016 as well. All 3 files so I wouldn't worry about that mate.
     
    #37
  18. Skurge

    Skurge " (GASP) What's going on!? " Veteran

    Messages:
    1,021
    Likes Received:
    196
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    N/A
    I wish it was me failing to get all files- but that's sadly not the case. I've done everything the guide tells me to do and to no success, even with multiple reattempts.

    I've contacted Khas regarding the plugin considering the error only occurs when switched ON in the map room. But that being said, if the files such as pixi are not updating properly- what's to say a fix with kha's plugin will solve it? Only time will tell I suppose.
     
    #38
  19. mogwai

    mogwai 1984 Veteran

    Messages:
    876
    Likes Received:
    577
    Location:
    Bassett Nebraska
    First Language:
    English
    Primarily Uses:
    RMMV
    I've created a fresh game and I've installed all of your plugins and exacted the parameters from your plugins.js, but I can't seem to replicate this error.

    If the problem is indeed from an outdated library and Steam won't update your libs, I have a suggestion. Maybe you could visit the completed games and download the newest one and harvest the game's rpg js files and libs folder from its www folder. I'm not sure why, but this suggestion seems a little unethical. The first and foremost solution would be to fix Steam, but I don't know how, when or what about that.
     
    #39
  20. Skurge

    Skurge " (GASP) What's going on!? " Veteran

    Messages:
    1,021
    Likes Received:
    196
    Location:
    Australia
    First Language:
    English
    Primarily Uses:
    N/A
    From all the bug testing I have gone through my research indicates that the fault is the libs files/ pixi for example- there properties indicate they are out of date despite the program's version being up to date "1.4.0"

    I wasn't aware you could take certain files out from completed games, i thought they get locked on deployment?
     
    #40

Share This Page